BLKID(8)

NAME
blkid - command-line utility to locate/print block device attributes

SYNOPSIS
blkid ]... [ -h ] [ [ -c cachefile ] -s savecachefile ] [ -p ] [ -t token ]... [ -v ] [ device ... ]

DESCRIPTION
The blkid program is the command-line interface to working with libuuid(3) library. It can determine the type of content (e.g. filesystem, swap) a block device holds, and also attributes (tokens, NAME=value pairs) from the content metadata (e.g. LABEL or UUID fields).

blkid has two main forms of operation: either searching for a device with a specific NAME=value pair, or displaying NAME=value pairs for one or more devices.

OPTIONS

-c  <cachefile> Read from cachefile instead of reading from the default cache file /etc/blkid.tab. If you want to start with a clean cache (i.e. don't report devices previously scanned but not necessarily available at this time), specify /dev/null.

-h  Display a usage message and exit.

-p  Probe all available devices. This is the default when displaying tokens. When searching for a token normally the cache file is used to locate the device and only that device is probed (to ensure cache coherency) and all devices are probed only if the token cannot be found in the cache.

-s  tag tag is of the form NAME and the resulting token is shown for each (specified) device that has such a tag. It is possible to specify multiple tag options. If no tag is specified, then all tokens are shown for all (specified) devices. In order to just refresh the cache without showing any tokens use -s none with no other options.

-t  token token is of the form NAME=value and that specific token is searched for in the cache or among all visible block devices and additionally any specified devices. If that token is not found, no output is shown. Common values for NAME include TYPE, LABEL, and UUID.

-v  Display version number and exit.

RETURN VALUE
The UUID of the form 1b4e28ba-2fa1-11d2-883f-b9a761bde3fb (in printf(3) format "%08x-%04x-%04x-%04x-%012x") is output to the standard output.

-w  <writecachefile> Write the device cache to writecachefile instead of writing it to the default cache file /etc/blkid.tab. If you don't want to save the cache to the default file, specify /dev/null. If not specified it will be the same file as that given by the -c option.

<device>
    Display tokens from only the specified device. It is possible to give multiple <device> options on the command line. If none is given, all devices which appear in /proc/partitions are shown, if they are recognized.

RETURN CODE
If the specified token was found, or if any tags were shown from (specified) devices 0 is returned. If the specified token was not found, or no (specified) devices could be identified return 2. For usage or other errors return 4.

AUTHOR
blkid was written by Andreas Dilger for libblkid.

AVAILABILITY
blkid is part the e2fsprogs package since version 1.26 and is available from http://e2fsprogs.sourceforge.net.

SEE ALSO
libblkid(3)